Revoke
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.LocalUserInvitation.Revoke(ctx, operations.C1APILocalDirectoryV1LocalUserInvitationServiceRevokeRequest{
DirectoryAppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.LocalUserInvitationServiceRevokeResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.localUserInvitation.revoke({
directoryAppId: "<id>",
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/local-directory-configs/{directory_app_id}/invitations/{id}/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/local-directory-configs/{directory_app_id}/invitations/{id}/revoke"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/local-directory-configs/{directory_app_id}/invitations/{id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invitation": {
"acceptedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"directoryAppId": "<string>",
"displayName": "<string>",
"email": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"initialRoleIds": [
"<string>"
],
"invitedByUserId": "<string>",
"jobId": "<string>",
"onboardingFlowId": "<string>",
"purpose": "<string>",
"sponsorUserId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Local Directory
Revoke
Revoke a pending invitation.
POST
/
api
/
v1
/
local-directory-configs
/
{directory_app_id}
/
invitations
/
{id}
/
revoke
Revoke
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.LocalUserInvitation.Revoke(ctx, operations.C1APILocalDirectoryV1LocalUserInvitationServiceRevokeRequest{
DirectoryAppID: "<id>",
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.LocalUserInvitationServiceRevokeResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.localUserInvitation.revoke({
directoryAppId: "<id>",
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The directoryAppId field.
The id field.
Body
application/json
The LocalUserInvitationServiceRevokeRequest message.
Response
200 - application/json
Successful response
The LocalUserInvitationServiceRevokeResponse message.
LocalUserInvitation is the public representation of a per-directory user invitation.
Show child attributes
Show child attributes
Was this page helpful?
⌘I